<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <script src="ced.js"></script>
        <script type="text/javascript">
            /*
            @licstart  The following is the entire license notice for the
            JavaScript code in this page.
            
            Copyright (C) 2020 Moulinux
            
            The JavaScript code in this page is free software: you can
            redistribute it and/or modify it under the terms of the GNU
            General Public License (GNU GPL) as published by the Free Software
            Foundation, either version 3 of the License, or (at your option)
            any later version.  The code is distributed WITHOUT ANY WARRANTY;
            without even the implied warranty of MERCHANTABILITY or FITNESS
            FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.
            
            As additional permission under GNU GPL version 3 section 7, you
            may distribute non-source (e.g., minimized or compacted) forms of
            that code without the copy of the GNU GPL normally required by
            section 4, provided you include this license notice and a URL
            through which recipients can access the Corresponding Source.
            
            
            @licend  The above is the entire license notice
            for the JavaScript code in this page.
            */
            document.write("<title>", DICO_FR['enTete1'], "</title>");
        </script>
    </head>
    <body>
        <script type="text/javascript">
            let km = choixEntier(DICO_FR['distance'], 99, 0);
            let domicile = DICO_FR['domicile1'] + km + DICO_FR['domicile2'];
            document.write("<h1>", DICO_FR['enTete1'], "</h1>");
            document.write("<h2>", DICO_FR['enTete2'], "</h2>");
            document.write("<p>", domicile, "</p>");
        </script>
        <table style="width:100%">
            <tr>
                <td>&nbsp;</td>
                <script type="text/javascript">
                    for (i in DICO_COUT['labTitre']) {
                        document.write("<td><strong>", DICO_COUT['labTitre'][i], "</strong></td>");
                    }
                </script>
            </tr>
            <tr>
                <script type="text/javascript">
                    let choix = []
                    let mesCoutsDep1 = choixDeplacement(3, 1, 1, km, choix);
                    document.write("<td>", DICO_FR['choix1'] + choix[0], "</td>");
                    for (i in mesCoutsDep1) {
                        document.write("<td>", mesCoutsDep1[i] + DICO_COUT['labUnite'][i], "</td>");
                    }
                </script>
            </tr>
            <tr>
                <script type="text/javascript">
                    var mesCoutsDep2 = choixDeplacement(3, 1, 2, km, choix);
                    document.write("<td>", DICO_FR['choix2'] + choix[1], "</td>");
                    for (i in mesCoutsDep2) {
                        document.write("<td>", mesCoutsDep2[i] + DICO_COUT['labUnite'][i], "</td>");
                    }
                </script>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <script type="text/javascript">
                    var diffCouts = compareCoutKm(mesCoutsDep1, mesCoutsDep2);
                    if (diffCouts[0] < 0) {
                        for (i in diffCouts) {
                            document.write("<td>", DICO_COUT['labDep1'][i] + 
                                Math.abs(diffCouts[i]) + DICO_COUT['labDep2'][i], "</td>");
                        }
                    } else {
                        for (i in diffCouts) {
                            document.write("<td>", DICO_COUT['labEco1'][i] + 
                                Math.abs(diffCouts[i]) + DICO_COUT['labEco2'][i], "</td>");
                        }
                    }                
                </script>
            </tr>
        </table>
    </body>
</html>
